# Copyright (c) 2007-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _SO_nr	13

Name:			zziplib
Summary:		ZZipLib - libZ-based ZIP-access Library
Version:		0.13.54
Release:		2.9
License:		LGPL
Group:			Productivity/File utilities
URL:			http://zziplib.sf.net
Source:			http://prdownloads.sf.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:			%{name}-0.13.54-export_dynamic.patch
Source90:		%{name}-rpmlintrc
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	fdupes
BuildRequires:	python
BuildRequires:	SDL-devel
BuildRequires:	zlib-devel
BuildRequires:	xmlto
BuildRequires:	zip

%description 
The zziplib library is intentionally lightweight, it offers the
ability to easily extract data from files archived in a single
zip file. Applications can bundle files into a single zip archive
and access them. The implementation is based only on the (free)
subset of compression with the zlib algorithm which is actually
used by the zip/unzip tools.

%package doc
Summary:	ZZipLib - documetation
Group:		Documentation/HTML

%description doc
The zziplib library is intentionally lightweight, it offers the
ability to easily extract data from files archived in a single
zip file. Applications can bundle files into a single zip archive
and access them. The implementation is based only on the (free)
subset of compression with the zlib algorithm which is actually
used by the zip/unzip tools.

ZZipLib - documetation.

%package -n libzziplib%{_SO_nr}
Summary:	ZZipLib - shared library
Group:		Development/Libraries/C and C++

%description -n libzziplib%{_SO_nr}
The zziplib library is intentionally lightweight, it offers the
ability to easily extract data from files archived in a single
zip file. Applications can bundle files into a single zip archive
and access them. The implementation is based only on the (free)
subset of compression with the zlib algorithm which is actually
used by the zip/unzip tools.

The library itself is fully multithreaded, and it is namespace
clean using the zzip_ prefix for its exports and declarations.

%package -n libzziplib-devel
Summary:	ZZipLib - Development Files
Group:		Development/Languages/C and C++
Requires:	libzziplib%{_SO_nr} = %{version}
Requires:	SDL-devel
Requires:	zlib-devel

%description -n libzziplib-devel
The zziplib library is intentionally lightweight, it offers the
ability to easily extract data from files archived in a single
zip file. Applications can bundle files into a single zip archive
and access them. The implementation is based only on the (free)
subset of compression with the zlib algorithm which is actually
used by the zip/unzip tools.

These are the header files needed to develop programs using
zziplib.

%package SDL_rwops-devel
Summary:	ZZipLib - Development Files for SDL_rwops
Group:		Development/Languages/C and C++
Requires:	libzziplib%{_SO_nr} = %{version}
Requires:	pkgconfig
Requires:	SDL-devel
Requires:	libzziplib-devel

%description SDL_rwops-devel
The zziplib library is intentionally lightweight, it offers the
ability to easily extract data from files archived in a single
zip file. Applications can bundle files into a single zip archive
and access them. The implementation is based only on the (free)
subset of compression with the zlib algorithm which is actually
used by the zip/unzip tools.

These are example headers and implementation along with a pkgconfig
script that allows to easily use zziplib through SDL_rwops calls.



%prep
%setup -q
%patch0

%build
#CFLAGS=$RPM_OPT_FLAGS \
%configure \
	--mandir=%{_mandir} \
	--with-docdir=%{_docdir}/%{name} \
	--enable-sdl

%__make zzip64-setup
%__make %{?jobs:-j%{jobs}}
%__make %{?jobs:-j%jobs} zzip64-build
%__make %{?jobs:-j%jobs} doc

%install
%__make zzip64-install \
	DESTDIR=%{buildroot}

%makeinstall

%__make zzip32-postinstall \
	DESTDIR=%{buildroot}

%__make zzip-postinstall

# broken, attempts to install in /usr/share/doc/zzpilib
#%__make install-doc \
#	DESTDIR=%{buildroot}

# broken, installs in usr/share/man/man3/man3/*
%__make install-mans \
	DESTDIR=%{buildroot}
%__mv %{buildroot}%{_mandir}/man3/man3/* \
	%{buildroot}%{_mandir}/man3
%__rm -r %{buildroot}%{_mandir}/man3/man3

%__make install-sdl \
	DESTDIR=%{buildroot}

%__rm %{buildroot}%{_libdir}/lib*.la

%fdupes -s %{buildroot}

%if 0
# broken, needs a installed zziplib-package
%check
%__make check
%__make test-sdl
%endif

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -n libzziplib%{_SO_nr} -p /sbin/ldconfig

%postun -n libzziplib%{_SO_nr} -p /sbin/ldconfig

%post doc
test ! -f %{_bindir}/scrollkeeper-update || %{_bindir}/scrollkeeper-update

%postun doc
test ! -f %{_bindir}/scrollkeeper-update || %{_bindir}/scrollkeeper-update

%files
%defattr(-,root,root)
%doc ChangeLog COPYING* README TODO
%{_bindir}/unzip-mem
%{_bindir}/unzzip
%{_bindir}/unzzipcat
%{_bindir}/unzzipcat-mem
%{_bindir}/unzzipcat-seeko
%{_bindir}/unzzipdir
%{_bindir}/unzzipdir-mem
%{_bindir}/zzcat
%{_bindir}/zzdir
%{_bindir}/zzxorcat
%{_bindir}/zzxorcopy
%{_bindir}/zzxordir

%files doc
%defattr(-,root,root)
%doc docs/*.htm
#%doc %{_docdir}/%{name}

%files -n libzziplib%{_SO_nr}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n libzziplib-devel
%defattr(-,root,root)
%doc ChangeLog COPYING* README TODO
%doc %{_mandir}/man3/*
%{_includedir}/*.h
%dir %{_includedir}/zzip
%{_includedir}/zzip/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/zzip*
#%dir %{_datadir}/%{name}
#%{_datadir}/%{name}/*
%{_datadir}/aclocal/%{name}*.m4

%files SDL_rwops-devel
%defattr(-,root,root)
%dir %{_includedir}/SDL_rwops_zzip
%{_includedir}/SDL_rwops_zzip/*
%{_libdir}/pkgconfig/SDL*zzip*

%changelog
* Sun May 23 2009 Toni Graffy <toni@links2linux.de> - 0.13.54-0.pm.1
- update to 0.13.54
* Sat May 23 2009 Toni Graffy <toni@links2linux.de> - 0.13.53-0.pm.1
- update to 0.13.53
* Fri May 22 2009 Toni Graffy <toni@links2linux.de> - 0.13.52-0.pm.1
- update to 0.13.52
* Sun Dec 28 2008 Toni Graffy <toni@links2linux.de> - 0.13.50-0.pm.1
- update to 0.13.50
* Wed Jun 27 2007 Toni Graffy <toni@links2linux.de> - 0.13.49-0.pm.1
- initial build 0.13.49
